Bug 13328 - Rename Kurdish translation files
Summary: Rename Kurdish translation files
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on: 12250
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-22 13:25 UTC by Bernardo Gonzalez Kriegel
Modified: 2015-06-04 23:33 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 13328: Rename Kurdish translation files (2.35 KB, patch)
2014-11-22 13:40 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13328: Rename Kurdish translation files (2.53 KB, patch)
2014-11-22 14:31 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 13328: Rename Kurdish translation files (2.61 KB, patch)
2014-11-23 07:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2014-11-22 13:25:44 UTC
Kurdish translation files need to be 'ku-Arab' instead of only 'ku'.
They use RTL script and staff/opac view need to be displayed accordingly.

My fault, I forgot to change the name on Bug 12250.
Comment 1 Bernardo Gonzalez Kriegel 2014-11-22 13:40:13 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2014-11-22 13:41:47 UTC
Very easy to test
Comment 3 Tomás Cohen Arazi 2014-11-22 14:31:02 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2014-11-23 07:16:49 UTC
Created attachment 33818 [details] [review]
[PASSED QA] Bug 13328: Rename Kurdish translation files

Kurdish translation files use a variant of Arabic script,
they need to be displayed as RTL.

Currently that is inferred from language dir name after
translation, and that name use the language tag, so we
need to change it from 'ku' to 'ku-Arab'

To test:
1) Translate to Kurdish
(cd misc translator; ./translate install ku)
2) Enable Kurdish on opac/staff
3) Test staff/opac interface, they are displayed as LTR
which is wrong
4) Disable Kurdish language
5) Do a cleanup (git clean -f -d)

5) Apply the patch

6) Translate again
(cd misc translator; ./translate install ku-Arab)
7) Enable again
8) Test again, this time display is correct (LTR)

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Easy to test. Well spotted Bernardo.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described.
Comment 5 Tomás Cohen Arazi 2014-11-23 13:22:37 UTC
Patch pushed to master.

Thanks Bernardo!